# These faults were for the InertialLocalizer and are now deprecated.
# The InertialLocalizer code is still around so we can't mark them as
# deprecated just yet though.

component: Pose
namespace: zoox::localization
faults:
  - id: 1
    name: ImuStale
    severity: ERROR
    description: IMU is stale. Check for potential errors in the MofoGateway.
    triggers_nogo: true
  - id: 2
    name: ImuOutOfRange
    severity: ERROR
    description: IMU data out of range.
    triggers_nogo: true
  - id: 3
    name: WheelSpeedStale
    severity: ERROR
    description: WheelSpeed is stale.
  - id: 4
    name: WheelSpeedOutOfRange
    severity: ERROR
    description: WheelSpeed data out of range.
  - id: 5
    name: WheelSpeedDeltaOutOfRange
    severity: ERROR
    description: WheelSpeed data deltas are out of range.
